Summary:        Complex Textlayout Library
Name:           libraqm
Version:        0.10.1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/HOST-Oman/libraqm
Source0:        %{url}/releases/download/v%{version}/raqm-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  freetype-devel harfbuzz-devel fribidi-devel


%description
Raqm is a small library that encapsulates the logic for
complex text layout and provides a convenient API.

%package devel
Summary:   Complex Textlayout Library
Requires:   libraqm = %{version}-%{release}

%description devel
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%prep
%autosetup -n raqm-%{version}

%build
%meson -Ddocs=false
%meson_build

%check
export LC_ALL=C.utf8
%meson_test

%install
%meson_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

%files
%license COPYING
%{_libdir}/libraqm.so.*

%files devel
%license COPYING
%{_includedir}/raqm.h
%{_includedir}/raqm-version.h
%{_libdir}/libraqm.so
%{_libdir}/pkgconfig/raqm.pc

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.10.1-1
- Upgrade to version 0.10.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 cunshunxia <cunshunxia@tencent.com> - 0.8.0-2
- change source to source0.

* Mon Feb 13 2023 cunshunxia <cunshunxia@tencent.com> - 0.8.0-1
- initial build
